<?php
/**
 * The template for displaying all pages.
 *
 * This is the template that displays all pages by default.
 * Please note that this is the WordPress construct of pages
 * and that other 'pages' on your WordPress site will use a
 * different template.
 *
 * @package Blain
 */

get_header(); ?>

<?php while ( have_posts() ) : the_post(); ?>
	<header class="content-area entry-header">
		<h1 class="entry-title"><?php the_title(); ?></h1>
		<div class="breadcrumbs" style="padding-left:15px" xmlns:v="http://rdf.data-vocabulary.org/#">
		<?php if(function_exists('bcn_display')){
			bcn_display();
		}?>
		</div>
	</header><!-- .entry-header -->
<?php endwhile; // end of the loop. ?>
	<div id="primary" class="content-area col-md-9">
		<main id="main" class="site-main" role="main">

			<?php while ( have_posts() ) : the_post(); ?>

				<?php get_template_part( 'content', 'page' ); ?>

				<?php
					// If comments are open or we have at least one comment, load up the comment template
					if ( comments_open() || '0' != get_comments_number() )
						comments_template();
				?>

			<?php endwhile; // end of the loop. ?>

		</main><!-- #main -->
	</div><!-- #primary -->

<?php get_sidebar(); ?>
<?php get_footer(); ?>
